> For the complete documentation index, see [llms.txt](https://developers.coindirect.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.coindirect.com/api/payouts/validate-address.md).

# Validate Address

## Validate Address

<mark style="color:orange;">`PUT`</mark> `https://api.sandbox.coindirect.com/api/v1/pay/validate`

This endpoint allows you to validate cryptocurrency destination addresses.

#### Request Body

| Name     | Type   | Description                                                                                                  |
| -------- | ------ | ------------------------------------------------------------------------------------------------------------ |
| code     | string | Always `crypto`                                                                                              |
| currency | string | E.g. `USDT`, `BTC`, etc                                                                                      |
| protocol | string | In case of `USDT`, it should be either `ERC20` or `TRC20`. For other cryptocurrencies leave this field empty |
| address  | string | Cryptocurrency address                                                                                       |

{% tabs %}
{% tab title="200 The address is valid." %}

```
```

{% endtab %}

{% tab title="412 The address is not valid." %}

```javascript
{
  "errorList": [
    {
      "parameter": "payOutInstruction",
      "code": "invalidInstruction",
      "message": "Invalid Payment Instruction"
    }
  ]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="cURL" %}

```javascript
curl -X "PUT" "https://api.sandbox.coindirect.com/api/v1/pay/validate" \
     -H 'Content-Type: application/json; charset=utf-8' \
     -d $'{
  "code": "crypto",
  "currency": "USDT",
  "protocol": "TRC20",
  "address": "TFsmkjujT9omG5TFrEXYbDocTdjeeHgcrQ"
}'
```

{% endtab %}
{% endtabs %}
